properties object when creating or updating a connection. All properties are nested within the connection request body.
Properties
Authentication method for SFTP.Supported values:
passwordfor password authentication.private_keyfor private key authentication.
Reference to a Prophecy secret containing the SFTP password. Required when
authMethod is password.- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.
Base64-encoded private key for SFTP authentication. Required when
authMethod is private_key.
The private key should be in OpenSSH format and encoded as base64.Knowledge graph configuration settings for the connection. See the Knowledge graph
indexer properties for more information.

